Retrieves the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "d157ba65-7ef3-4344-9ab6-a2c2b6515028",
"db_report_type_id": "ef8b1e33-9516-40f5-b7e7-98459c5f1399",
"user_id": "579e6972-19ec-45f1-a27c-24947a10fb17",
"company_id": "f6b01749-4aa6-4122-a413-eee8579f9ab7",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "cc882e3f-5747-412c-b593-51ba9b19a4af",
"id_in_table": "b36fa8d6-457f-41d8-ab97-91a1bd376386",
"date_last_update": "2026-03-24T07:10:11.2203454+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-03-24T07:10:11.2203454+00:00"
}